﻿<%@ Page Language="VB" MasterPageFile="~/RSMasterPage.master" AutoEventWireup="false" Inherits="RSWebApp.RowSecurity" Title="Row Security" Codebehind="RowSecurity.aspx.vb" %>

<%@ Register assembly="DevExpress.Web.v19.2, Version=19.2.5.0, Culture=neutral, PublicKeyToken=b88d1754d700e49a" namespace="DevExpress.Web" tagprefix="dx" %>

<asp:Content ID="Content1" ContentPlaceHolderID="head" runat="Server">
</asp:Content>
<asp:Content ID="Content2" ContentPlaceHolderID="MainContent" runat="Server">
    <asp:ObjectDataSource ID="dataRowSecurity" runat="server" DeleteMethod="DeleteRowSecurityByID" SelectMethod="GetRowSecurity" TypeName="Ripplestone.BLL.RowSecurity" DataObjectTypeName="Ripplestone.BLL.RowSecurity" InsertMethod="InsertRowSecurity" OldValuesParameterFormatString="original_{0}" UpdateMethod="UpdateRowSecurity">
		<DeleteParameters>
			<asp:Parameter Name="ID" Type="Int32" />
		</DeleteParameters>
	</asp:ObjectDataSource>
	<div class="nav2">
		<a class="nav2left" onclick="callHelp('RowSecurityHelp.htm')" href="javascript:void(0)">
			<img alt="Help" src="images/help3.gif" /></a> <span class="nav2title">Row Security</span>
		<a href="EditRowLevelSecurity.aspx?Mode=A" class="nav2right"> Add New Row Security</a>
	</div>
	<div class="dataGrid">
		<dx:ASPxGridView ID="gridRowSecurity" runat="server" AutoGenerateColumns="False" DataSourceID="dataRowSecurity" KeyFieldName="ID" Width="100%" 
            EnableCallbackAnimation="True" EnablePagingCallbackAnimation="True" ClientInstanceName="gv">
			<SettingsDataSecurity AllowInsert="True" AllowEdit="True" AllowDelete="true" />
			<Styles AdaptiveDetailButtonWidth="22"></Styles>
            <SettingsContextMenu Enabled="True" />
            <SettingsPager PageSize="20">
                <PageSizeItemSettings ShowAllItem="True" Visible="True">
                </PageSizeItemSettings>
            </SettingsPager>
            <Settings ShowFilterRow="True" ShowGroupPanel="True" ShowFilterBar="Auto" ShowFilterRowMenu="True" />
            <SettingsBehavior ConfirmDelete="True" AllowSelectByRowClick="True" AllowSelectSingleRowOnly="True" EnableCustomizationWindow="True" />
            <SettingsSearchPanel Visible="True" ShowApplyButton="True" ShowClearButton="True" />
            <Columns>
				<dx:GridViewDataTextColumn FieldName="Table" VisibleIndex="2">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn FieldName="Column" VisibleIndex="3">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn Caption="Operator" FieldName="RowOperator" VisibleIndex="4">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn FieldName="Value" VisibleIndex="5">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn FieldName="Folder" VisibleIndex="1">
				</dx:GridViewDataTextColumn>
				<dx:GridViewDataTextColumn FieldName="Role" VisibleIndex="0">
				</dx:GridViewDataTextColumn>
				<dx:GridViewCommandColumn ButtonType="Button" VisibleIndex="6" Width="50px" ShowCancelButton="True" 
                    ShowClearFilterButton="True" ShowDeleteButton="True" ShowEditButton="True" ShowNewButtonInHeader="True" ShowUpdateButton="True">
				</dx:GridViewCommandColumn>
			</Columns>
		</dx:ASPxGridView>
	</div>
</asp:Content>
